## org.metaabm
Interface TID

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Node

    public interface TID

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' TID'.

Author:
  Miles Parker *

  The following features are supported:

  - `ID`
See Also:
  `org.metaabmPackage#getTID()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getID()` Returns the value of the 'ID' attribute.
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute. The default value is `""`.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `org.metaabmPackage#getTID_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`